library(shiny)

shinyUI(fluidPage(

  titlePanel("Illustration of the p-value"),

  sidebarLayout(
      sidebarPanel(
           HTML("<a class='btn' href='/'><b>Start Over!</b></a><p>"),
           sliderInput("n","Sample Size n", 
                  min=20,max=250,value=50,step=5),                  
          sliderInput("mu",HTML("Population Mean &mu;"),
           min=5, max=15, value=10,step=0.25),                    
          sliderInput("sigma",HTML("Population Standard Deviation &sigma;"),
           min=1, max=21, value=3,step=2),                    
          selectInput("alpha",HTML("Type I error probability &alpha;"), 
                 choices = c(0.01,0.05,0.1),selected=0.05),
          sliderInput("step",HTML("<h4>Step</h4>"),
              min=0, max=9, value=0,step=1,animate=animationOptions(interval = 3000)),
          uiOutput("appinfo"),width=3
        ),
      mainPanel(
      tabsetPanel(
          tabPanel("Single Example",uiOutput("text2")),
          tabPanel("Many Examples",uiOutput("text1"),plotOutput("plot1"))
        )      
      )
    ),      
    uiOutput("explainText")    
      
))

